Manager Class Reference

class ndcctools.taskvine.manager.Manager More...

## Detailed Description

class ndcctools.taskvine.manager.Manager

TaskVine Manager

The manager class is the primary object for a TaskVine application. To build an application, create a Manager instance, then create ndcctools.taskvine.task.Task objects and submit them with ndcctools.taskvine.Manager.submit Call ndcctools.taskvine.manager.Manager.wait to wait for tasks to complete. Run one or more vine_workers to perform work on behalf of the manager object.

The documentation for this class was generated from the following file:

- manager.py